Skip to main content
`Ctrl`+`K`

# MatMFFDiFn

Function provided to `MatMFFDSetFunctioni()` that computes the function being differenced at a single point

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MatMFFDiFn(PetscCtx ctx, PetscInt i, Vec x, PetscScalar *result);

## Calling Sequence

- ctx - [optional] user-defined function context provided with `MatMFFDSetFunction()`

- i - the component of the vector to compute

- x - input vector

- result - the value of the function at that component (output)

## See Also

Matrices, `Mat`, `MatCreateMFFD()`, `MatMFFDSetFunction()`, `MatMFFDFn`, `MatMFFDiBaseFn`

## Level

advanced

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages